Skip to main content
POST
/
customers
/
{customerId}
/
paymentsources
Create payment source
curl --request POST \
  --url https://api.example.com/customers/{customerId}/paymentsources \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-environment: <x-environment>' \
  --data '
{
  "provider": "<string>",
  "source": "<string>",
  "redirectUrl": "<string>",
  "parameters": {}
}
'
import requests

url = "https://api.example.com/customers/{customerId}/paymentsources"

payload = {
"provider": "<string>",
"source": "<string>",
"redirectUrl": "<string>",
"parameters": {}
}
headers = {
"x-environment": "<x-environment>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'x-environment': '<x-environment>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
provider: '<string>',
source: '<string>',
redirectUrl: '<string>',
parameters: {}
})
};

fetch('https://api.example.com/customers/{customerId}/paymentsources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "url": "<string>",
  "message": "<string>",
  "description": "<string>",
  "type": "<string>",
  "expiration": "2023-11-07T05:31:56Z",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}

Headers

x-environment
string<uuid>
required

Configure which environment the request will handle. If the provided credentials do not allow access to this specified environment, a 403 Forbidden response is returned.

Path Parameters

customerId
string<uuid>
required

Id of customer to add payment source to.

Body

application/json
provider
string | null

Required. Name of the payment provider. See list of supported here https://go.plude.io/h82201

source
string | null

Optional. Data of the specific payment source. See individual provider. Source data must be escapted.

redirectUrl
string | null

Optional. Redirect URL passed to the payment provider.

parameters
object | null

Optional. Additional parameters to be passed to the payment provider.

Response

OK

url
string | null
message
string | null
description
string | null
type
string | null
state
enum<string>
Available options:
initial,
active,
disabled,
not_supported,
invalid
expiration
string<date-time> | null
id
string<uuid> | null